Javadoc.LinkArgument (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs, class: Javadoc, class: LinkArgument

Package org.apache.tools.ant.taskdefs

# Class Javadoc.LinkArgument

java.lang.Object
org.apache.tools.ant.taskdefs.Javadoc.LinkArgument

Enclosing class:
  `Javadoc`

public class Javadoc.LinkArgument extends Object
Represents a link triplet (href, whether link is offline, location of the package list if off line)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LinkArgument()`
  Constructor for LinkArgument

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getHref()`
  Get the href attribute.
  `File`
  `getPackagelistLoc()`
  Get the packetList location attribute.
  `URL`
  `getPackagelistURL()`
  Get the packetList location attribute.
  `boolean`
  `isLinkOffline()`
  Get the linkOffline attribute.
  `void`
  `setHref(String hr)`
  Set the href attribute.
  `void`
  `setOffline(boolean offline)`
  Set the offline attribute.
  `void`
  `setPackagelistLoc(File src)`
  Set the packetlist location attribute.
  `void`
  `setPackagelistURL(URL src)`
  Set the packetlist location attribute.
  `void`
  `setResolveLink(boolean resolve)`
  Sets whether Ant should resolve the link attribute relative to the current basedir.
  `boolean`
  `shouldResolveLink()`
  should Ant resolve the link attribute relative to the current basedir?

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LinkArgument

    public LinkArgument()
    Constructor for LinkArgument

- ## Method Details

  - ### setHref

    public void setHref(String hr)
    Set the href attribute.
    Parameters:
      `hr` - a `String` value

  - ### getHref

    public String getHref()
    Get the href attribute.
    Returns:
      the href attribute.

  - ### setPackagelistLoc

    public void setPackagelistLoc(File src)
    Set the packetlist location attribute.
    Parameters:
      `src` - a `File` value

  - ### getPackagelistLoc

    public File getPackagelistLoc()
    Get the packetList location attribute.
    Returns:
      the packetList location attribute.

  - ### setPackagelistURL

    public void setPackagelistURL(URL src)
    Set the packetlist location attribute.
    Parameters:
      `src` - an `URL` value

  - ### getPackagelistURL

    public URL getPackagelistURL()
    Get the packetList location attribute.
    Returns:
      the packetList location attribute.

  - ### setOffline

    public void setOffline(boolean offline)
    Set the offline attribute.
    Parameters:
      `offline` - a `boolean` value

  - ### isLinkOffline

    public boolean isLinkOffline()
    Get the linkOffline attribute.
    Returns:
      the linkOffline attribute.

  - ### setResolveLink

    public void setResolveLink(boolean resolve)
    Sets whether Ant should resolve the link attribute relative to the current basedir.
    Parameters:
      `resolve` - a `boolean` value

  - ### shouldResolveLink

    public boolean shouldResolveLink()
    should Ant resolve the link attribute relative to the current basedir?
    Returns:
      the resolveLink attribute.